Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding.exceptions
[Java] Class ScaffoldingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.scaffolding.exceptions.ScaffoldingException

    public class ScaffoldingException
    extends GrailsException

Thrown generally when initialisation of scaffolding fails.

Authors:
  Graeme Rocher

Constructor Summary
`ScaffoldingException()`
`ScaffoldingException(java.lang.String arg0, java.lang.Throwable arg1)`
`ScaffoldingException(java.lang.String arg0)`
`ScaffoldingException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### ScaffoldingException

    public ScaffoldingException()

### ScaffoldingException

    public ScaffoldingException(java.lang.String arg0, java.lang.Throwable arg1)

### ScaffoldingException

    public ScaffoldingException(java.lang.String arg0)

### ScaffoldingException

    public ScaffoldingException(java.lang.Throwable arg0)

Groovy Documentation